# $Id: Makefile.inc.in,v 1.4 2001/11/21 15:01:29 oliver Exp $
# This file contains the variable bits aka input parameters
# They should be separate from the true Makefile ... so here we go

# name of the project
#      chl    channel dummy with water (PME)
#     xchl    channel dummy with water (cut-off)

NAME := chl# 

#######################
# pore (input)
#
#
# GEOM = {R_OUTER, R_INNER)
#    1 = {15.5, 7.5}, 2 = {18, 10}, 2a = {19.5, 10},  3 = {26, 22}
#    4 = {25.8, 18},  0 = {25.8, no mouth}
GEOM   := 2
L_PORE := 8# default: 2x4 = 8 Ang; alternative: 12

RADIUS  := 10#
K_POSRE := 1e+3

# 
# is this going to be with charges?
# CHARGE = {0, P[OC]1, D[1-6], Q2}
# (fiddle chl.itp manually unless 0)
CHARGE := 0

# do we start with an empty pore cavity ?
# true|false
EMPTY := false
#EMPTY := true

# set to an integer or leave empty (then we take the Gromacs defaults)
SEED := 

# anything why we should further discriminate?
SPECIAL := S0_5#

# true: copy to ~/scratch, false: Kir_Sim
# true|false
LOCAL := true
#
#######################

#######################
# fix genbox crap (it puts some LAYer atoms into the pore
# check in rasmol and add atoms to be deleted here:
X_LAY := 
#
#######################

# true:  use from commandline: put run_md into background
# false: batchmode, run strictly sequentially
INTERACTIVE := false


###############################
# 
# number of processors [1] (see note)
# shuffling            [ ] 
#
# NPROC > 1 only if one can split a molecule (eg CHL) over at least
# NPROC processors
# (don't use shuffle with posres -- you'll regret it)
NPROC   := 2
# on torpedo: NODES = NPROC/2 (but we leave that to the setup.pl script)
NODES   := 1
SHUFFLE := 

